package com.yihu.hos.core.exception;

/**
 * Created by chenweida on 2016/1/27.
 */
public class ESBException extends Exception {

    private String exceptionCode;
    private String exceptionMessage;

    public ESBException(String exceptionCode, String exceptionMessage) {
        super(exceptionMessage);
        this.exceptionCode = exceptionCode;
        this.exceptionMessage = exceptionMessage;
    }

    public ESBException() {
    }

    public ESBException(String message) {
        super(message);
    }

    public ESBException(String message, Throwable cause) {
        super(message, cause);
    }

    public ESBException(Throwable cause) {
        super(cause);
    }

    public ESBException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

    public String getExceptionCode() {
        return exceptionCode;
    }

    public String getExceptionMessage() {
        return exceptionMessage;
    }
}